package ru.yandex.autotests.directapi.model.banners;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;


/**
 * Created with IntelliJ IDEA.
 * User: mariabye
 * Date: 13.06.13
 * Time: 1:30
 * To change this template use File | Settings | File Templates.
 */
public class BannersFilterInfoMap<T> extends ModelBeanMap<BannersFilterInfoMap> {
    //region Fields
    private static final String BANNER_FILTER_INFO = "BannersFilterInfo";

    public static final String STATUS_PHONE_MODERATE = "statusPhoneModerate";
    public static final String STATUS_BANNER_MODERATE = "statusBannerModerate";
    public static final String STATUS_PHRASES_MODERATE = "statusPhrasesModerate";
    public static final String STATUS_ACTIVATING = "statusActivating";
    public static final String STATUS_SHOW = "statusShow";
    public static final String IS_ACTIVE = "isActive";
    public static final String STATUS_ARCHIVE = "statusArchive";
    public static final String TAG_IDS = "tagIDS";
    public static final String TAGS = "tags";
    public static final String STATUS_AD_IMAGE_MODERATE = "statusAdImageModerate";

    //endregion

    public BannersFilterInfoMap(String packageName) {
        super(packageName, BANNER_FILTER_INFO);
    }

    public BannersFilterInfoMap(T bannersFilterInfo) {
        super();
        setBean(bannersFilterInfo);
    }

    public BannersFilterInfoMap withStatusAdImageModerate(String... statusAdImageModerate) {
        put(STATUS_AD_IMAGE_MODERATE, statusAdImageModerate);
        return this;
    }
    //region Builder

    //endregion

}
